Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.arp
Interface AResource

    public interface AResource

A URI or blank node reported to a `StatementHandler`. Note: equality (`.equals`) rather than identity (`==`) must be used to compare `AResource`s.

Author:
  Jeremy Carroll

Method Summary
`java.lang.String` | `getAnonymousID()` A string distinguishing this anonymous resource, from other anonymous resources.
`java.lang.String` | `getURI()` The URI reference for this resource, if any.
`java.lang.Object` | `getUserData()` The user data allows the RDF application to store one Object with each blank node during parsing.
`boolean` | `hasNodeID()` True, if this is an anonymous resource with an explicit rdf:nodeID.
`boolean` | `isAnonymous()` True if this resource does not have an associated URI.
`void` | `setUserData(java.lang.Object d)` The user data allows the RDF application to store one Object with each blank node during parsing.

Method Detail

### getAnonymousID

    java.lang.String getAnonymousID()

  A string distinguishing this anonymous resource, from other anonymous resources. Undefined if `isAnonymous()` returns false.

  Returns:
    An identifier with file scope for this anonymous resource..

### getURI

    java.lang.String getURI()

  The URI reference for this resource, if any. Not defined if `isAnonymous()` returns true.

  Returns:
    The URI reference of this resource.

### getUserData

    java.lang.Object getUserData()

  The user data allows the RDF application to store one Object with each blank node during parsing. This may help with garbage collect strategies when parsing huge files. No references to the user data are maintained after a blank node goes out of scope.

  Returns:
    A user data object previously stored with `setUserData(java.lang.Object)`; or null if none.

### hasNodeID

    boolean hasNodeID()

  True, if this is an anonymous resource with an explicit rdf:nodeID.

  Returns:
    true if this resource has a nodeID

### isAnonymous

    boolean isAnonymous()

  True if this resource does not have an associated URI.

  Returns:
    True if this resource is anonymous.

### setUserData

    void setUserData(java.lang.Object d)

  The user data allows the RDF application to store one Object with each blank node during parsing. This may help with garbage collect strategies when parsing huge files. No references to the user data are maintained after a blank node goes out of scope.

  See note about large files in class documentation for `ARP`.

  Parameters:
    `d` - A user data object which may be retrieved later with `getUserData()`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP